Package org.springframework.security.web.server.util.matcher

# Class PathPatternParserServerWebExchangeMatcher

java.lang.Object
org.springframework.security.web.server.util.matcher.PathPatternParserServerWebExchangeMatcher

All Implemented Interfaces:
  `ServerWebExchangeMatcher`

public final class PathPatternParserServerWebExchangeMatcher extends Object implements ServerWebExchangeMatcher
Matches if the `PathPattern` matches the path within the application.

Since:
  5.0

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.springframework.security.web.server.util.matcher.ServerWebExchangeMatcher

`ServerWebExchangeMatcher.MatchResult`

## Constructor Summary

Constructors
Constructor
Description
`PathPatternParserServerWebExchangeMatcher(String pattern)`
`PathPatternParserServerWebExchangeMatcher(String pattern, org.springframework.http.HttpMethod method)`
`PathPatternParserServerWebExchangeMatcher(org.springframework.web.util.pattern.PathPattern pattern)`
`PathPatternParserServerWebExchangeMatcher(org.springframework.web.util.pattern.PathPattern pattern, org.springframework.http.HttpMethod method)`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<ServerWebExchangeMatcher.MatchResult>`
`matches(org.springframework.web.server.ServerWebExchange exchange)`
Determines if a request matches or not
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PathPatternParserServerWebExchangeMatcher

public PathPatternParserServerWebExchangeMatcher(org.springframework.web.util.pattern.PathPattern pattern)

### PathPatternParserServerWebExchangeMatcher

public PathPatternParserServerWebExchangeMatcher(org.springframework.web.util.pattern.PathPattern pattern, org.springframework.http.HttpMethod method)

### PathPatternParserServerWebExchangeMatcher

public PathPatternParserServerWebExchangeMatcher(String pattern, org.springframework.http.HttpMethod method)

### PathPatternParserServerWebExchangeMatcher

public PathPatternParserServerWebExchangeMatcher(String pattern)

## Method Details

### matches

public reactor.core.publisher.Mono<ServerWebExchangeMatcher.MatchResult> matches(org.springframework.web.server.ServerWebExchange exchange)
Description copied from interface: `ServerWebExchangeMatcher`
Determines if a request matches or not

Specified by:
  `matches` in interface `ServerWebExchangeMatcher`
Returns:

### toString

public String toString()

Overrides:
  `toString` in class `Object`